# $Id: kernel-modules-matroxdriver.spec,v 1.1 2005/08/16 19:21:57 lakostis Exp $

%define module_name	matroxdriver
%define module_version	1.4.3.2
%define module_release	alt1.132122.13.1

%define kversion	2.4.26
%define krelease	alt13.1
%define flavour		vs-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name


Summary:	Matrox Parhelia video card drivers
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
License:	Proprietary
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://www.tuxx-home.at/projects/mtx/
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-headers-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease

ExclusiveArch:	%ix86

%description
Parhelia, P650/P750 Millenium kernel module for Linux.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build

pushd src
cd parhelia
%__ln_s ../../mtx_parhelia.o .
cd ..
# FIXME - ugly hack
%__subst 's,\"2\.4\",2.4,' Makefile

. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc

%make CC=gcc-$GCC_VERSION \
%if "%kversion" <= "2.6.0"
      KERNELVERSION="2.4" \
      KBUIDDIR=%_usrsrc/linux-%kversion-%flavour \
      LNXTREE=%_usrsrc/linux-%kversion-%flavour/include \
%else
      KERNELVERSION="2.6" \
      KDIR=%_usrsrc/linux-%kversion-%flavour \
%endif
      INSTALLERBUILD=1 \
      PARHELIUX=`pwd`

popd

%install
%__mkdir_p %buildroot%module_dir
%if "%kversion" < "2.6.0"
install -p -m644 src/mtx.o %buildroot%module_dir
%else
install -p -m644 src/mtx.ko %buildroot%module_dir
%endif

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Thu Jan 12 2006 LAKostis <lakostis at altlinux.ru> 1.4.3.2-alt1.132122.13.1
- updated to 1.4.3.2.
- change URL - let's be unofficial.

* Tue Aug 16 2005 LAKostis <lakostis at altlinux.ru> 1.4.2-alt1.132122.13.1
- Initial build for ALTLinux.

